Package svnmailer :: Module browser

[hide private]

# Module browser

source code

Respository Browser URL construction

Author: Andr\xc3\xa9 Malo

Classes | [hide private]

| Error Base exception for this module
| InvalidBaseUrlError Invalid URL was configured
| ParsedUrl Container for URL parsing and modification
| ViewcvsGenerator viewcvs generator
| WebsvnGenerator websvn generator

Functions | [hide private]

`object`

getBrowserUrlGenerator(config) Returns an initialized repos browser generator | source code

`tuple`

parseBrowserBase(base_config) Parses the given option value into type and base url | source code

Variables | [hide private]

| __package__ = `None` hash(x)

Function Details | [hide private]

### getBrowserUrlGenerator(config)

source code

Returns an initialized repos browser generator

Parameters:
  - `config` (`svnmailer.settings.GroupSettingsContainer`) - The group configuration
Returns: `object`
  The generator object or `None`

### parseBrowserBase(base_config)

source code

Parses the given option value into type and base url

Parameters:
  - `base_config` (`str`) - The option value
Returns: `tuple`
  The type and the base url